x86.c File Reference

Filter for x86 binaries (BCJ filter) More...

`#include "simple_private.h"`

## Data Structures

struct | lzma_simple_x86

## Macros

#define | Test86MSByte(b) ((b) == 0 || (b) == 0xFF)

## Functions

static size_t | x86_code (void *simple_ptr, uint32_t now_pos, bool is_encoder, uint8_t *buffer, size_t size)
static lzma_ret | x86_coder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters, bool is_encoder)
lzma_ret | lzma_simple_x86_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_x86_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)

## Detailed Description

Filter for x86 binaries (BCJ filter)